package com.inspect.metadata.bdconfig.mapper;

import com.inspect.metadata.bdconfig.domain.BasedataBdConfigDeviceConvert;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataBdConfigDeviceConvertMapper {
    BasedataBdConfigDeviceConvert selectBasedataBdConfigDeviceConvertByDeviceConvertId(Long convertId);

    List<BasedataBdConfigDeviceConvert> selectBasedataBdConfigDeviceConvertList(BasedataBdConfigDeviceConvert convert);

    int insertBasedataBdConfigDeviceConvert(BasedataBdConfigDeviceConvert convert);

    int updateBasedataBdConfigDeviceConvert(BasedataBdConfigDeviceConvert convert);

    int deleteBasedataBdConfigDeviceConvertByDeviceConvertId(Long convertId);

    int deleteBasedataBdConfigDeviceConvertByDeviceConvertIds(Long[] convertIds);
}
